/*
 * Class WEL_STRETCH_MODE_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_235 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_235 [] = {0xFF01,1551,234,0xFFFF};
static const EIF_TYPE_INDEX egt_2_235 [] = {0xFF01,234,0xFFFF};
static const EIF_TYPE_INDEX egt_3_235 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_235 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_235 [] = {0xFF01,234,0xFFFF};
static const EIF_TYPE_INDEX egt_6_235 [] = {0xFF01,234,0xFFFF};
static const EIF_TYPE_INDEX egt_7_235 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_235 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_235 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_235 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_235 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_235 [] = {0xFF01,234,0xFFFF};


static const struct desc_info desc_235[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_235), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_235), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_235), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_235), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_235), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_235), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_235), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_235), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_235), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_235), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_235), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_235), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01D5 /*234*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_235), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4939, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4940, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4941, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4942, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4943, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4944, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4945, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4946, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4947, 0xFFFFFFFF},
};
void Init235(void)
{
	IDSC(desc_235, 0, 234);
	IDSC(desc_235 + 1, 1, 234);
	IDSC(desc_235 + 32, 870, 234);
}


#ifdef __cplusplus
}
#endif
